Bug 173268 - [PATCH] graphics/cadubi: Makefile changed, OptionsNG, take maintainership
Summary: [PATCH] graphics/cadubi: Makefile changed, OptionsNG, take maintainership
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-01 20:30 UTC by nemysis
Modified: 2012-12-04 15:42 UTC (History)
1 user (show)

See Also:


Attachments
cadubi-1.3_1.patch (1.65 KB, patch)
2012-11-01 20:30 UTC, nemysis
no flags Details | Diff
cadubi.diff (1.78 KB, patch)
2012-11-04 10:20 UTC, nemysis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description nemysis 2012-11-01 20:30:00 UTC
- Take maintainership

Removed file(s):
- pkg-plist

Makefile changed:
+LICENSE=	ART10
+PLIST_FILES=	bin/${PORTNAME}
+PORTDATA=	*
+PORTDOCS=	*
+.include <bsd.port.options.mk>
+.if ${PORT_OPTIONS:MDOCS}

Generated and tested manually, tested with port test and with RedPorts (all RELEASES, CLANG), sent with FreeBSD Port Tools 0.99_6 (mode: change, diff: ports)

How-To-Repeat: 
portlint -A
looks fine.

port test: clean

Build log

https://redports.org/buildarchive/20121101180235-31888/
Comment 1 nemysis 2012-11-04 10:20:46 UTC
Used all for pkg-plist in Makefile as

+PLIST_FILES=   bin/${PORTNAME} \                                                                                                                              
+               share/cadubi/help.txt \                                                                                                                        
+               share/cadubi/logo.txt                                                                                                                          
+PLIST_DIRSTRY= share/cadubi

Removed PORTDATA= *
Comment 2 Pawel Pekala freebsd_committer 2012-12-04 15:42:57 UTC
State Changed
From-To: open->closed

Committed. Thanks!